Bug 860004 - virsh send-keys manual bad example
virsh send-keys manual bad example
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Libvirt Maintainers
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-24 11:15 EDT by Stef Walter
Modified: 2012-11-28 09:56 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-28 09:56:10 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stef Walter 2012-09-24 11:15:10 EDT
Description of problem:

The following example in 'man virsh' is confusing:

             # send three strokes 'k', 'e', 'y', using xt codeset
             virsh send-key dom --codeset xt 37 18 21

From reading the example it reads like the key strokes would be sent consecutively. However they are sent together, and received in an arbitrary order.

The send-key documentation should also probably state clearly that the keys are all 'pressed' at the same time, and not consecutively (although this could in theory be inferred from some of the other examples).

Version-Release number of selected component (if applicable):

Installed Packages
Name        : libvirt
Arch        : x86_64
Version     : 0.9.11.5
Release     : 3.fc17
Comment 1 Eric Blake 2012-09-24 11:41:38 EDT
Also from IRC, danpb suggested:

there probably ought to be a way to signify to virsh send-key to use separate commands for a sequence
eg, perhaps we could re-use/abuse --,
virsh send-key -- 37 -- 18 -- 21
Comment 2 Cole Robinson 2012-10-20 19:58:05 EDT
(In reply to comment #1)
> Also from IRC, danpb suggested:
> 
> there probably ought to be a way to signify to virsh send-key to use
> separate commands for a sequence
> eg, perhaps we could re-use/abuse --,
> virsh send-key -- 37 -- 18 -- 21

Filed as https://bugzilla.redhat.com/show_bug.cgi?id=868582
Comment 3 Cole Robinson 2012-10-20 20:34:19 EDT
Patch sent upstream for the man page issue:

https://www.redhat.com/archives/libvir-list/2012-October/msg01118.html
Comment 4 Fedora Update System 2012-10-27 18:31:17 EDT
libvirt-0.10.2.1-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/libvirt-0.10.2.1-1.fc18
Comment 5 Fedora Update System 2012-10-28 12:33:23 EDT
Package libvirt-0.10.2.1-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libvirt-0.10.2.1-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-17097/libvirt-0.10.2.1-1.fc18
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2012-10-30 21:20:22 EDT
libvirt-0.10.2.1-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/libvirt-0.10.2.1-2.fc18
Comment 7 Cole Robinson 2012-11-28 09:56:10 EST
libvirt-0.10.2.1-2.fc18 now in stable

Note You need to log in before you can comment on or make changes to this bug.